Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurGetSubintervals

Returns the points that delimit the subintervals used in spectrum slicing with several partitions.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubintervals(EPS eps,PetscReal *subint[]) PeNS

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- subint - array of real values specifying subintervals

## Notes

If the user passed values with `EPSKrylovSchurSetSubintervals()`, then the same values are returned here. Otherwise, the values computed internally are obtained.

This function is only available for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

The returned array has length `npart`+1 (see `EPSKrylovSchurGetPartitions()`) and should be freed by the user.

## Fortran Notes

The calling sequence from Fortran is

       EPSKrylovSchurGetSubintervals(eps,subint,ierr)
       PetscReal subint(npart+1)

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetSubintervals()`, `EPSKrylovSchurGetPartitions()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Implementations

EPSKrylovSchurGetSubintervals_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages